Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.transformation
Class EffectPipe

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  org.apache.cocoon.forms.transformation.EffectPipe

All Implemented Interfaces:
  ContentHandler, LexicalHandler, Poolable, Recyclable, XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

Direct Known Subclasses:
  EffectWidgetReplacingPipe

public class EffectPipe
extends org.apache.cocoon.xml.AbstractXMLPipe

Base class for XMLPipe's. Allows the structure of the source code of the XMLPipe to match the structure of the data being transformed.

Version:
  $Id: EffectPipe.java 587759 2007-10-24 03:00:37Z vgritsenko $

Nested Class Summary
`protected class` | `EffectPipe.BufferHandler` Buffers content into the pipe's SAX buffer.
`protected class` | `EffectPipe.CopyHandler` Copies events over into the contentHandler
`protected class` | `EffectPipe.ErrorHandler` Throws exception on most events, with the exception of ignorableWhitespace.
`protected static interface` | `EffectPipe.Handler` Handler interface.
`protected class` | `EffectPipe.NullHandler` Ignores all events

Field Summary
`protected org.apache.cocoon.xml.SaxBuffer` | `buffer`
`protected EffectPipe.Handler` | `hBuffer`
`protected EffectPipe.Handler` | `hNull`
`protected Locator` | `locator`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler, xmlConsumer`

Constructor Summary
`EffectPipe()`

Method Summary
`protected void` | `beginBuffer()`
`void` | `characters(char[] ch, int start, int len)`
`void` | `comment(char[] ch, int start, int len)`
`protected org.apache.cocoon.xml.SaxBuffer` | `endBuffer()`
`void` | `endCDATA()`
`void` | `endDocument()`
`void` | `endDTD()`
`void` | `endElement(String uri, String loc, String raw)`
`void` | `endEntity(String name)`
`void` | `endPrefixMapping(String prefix)`
`protected String` | `getLocation()`
`void` | `ignorableWhitespace(char[] ch, int start, int len)`
`protected void` | `init(EffectPipe.Handler top)` Initialize the pipe before starting processing
`protected void` | `popHandler()`
`void` | `processingInstruction(String target, String data)`
`protected void` | `pushHandler(EffectPipe.Handler handler)`
`void` | `recycle()` Recycle the pipe after processing
`void` | `setDocumentLocator(Locator locator)`
`void` | `skippedEntity(String name)`
`void` | `startCDATA()`
`void` | `startDocument()`
`void` | `startDTD(String name, String publicId, String systemId)`
`void` | `startElement(String uri, String loc, String raw, Attributes attrs)`
`void` | `startEntity(String name)`
`void` | `startPrefixMapping(String prefix, String uri)`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Field Detail

### hNull

    protected final EffectPipe.Handler hNull

### hBuffer

    protected final EffectPipe.Handler hBuffer

### locator

    protected Locator locator

### buffer

    protected org.apache.cocoon.xml.SaxBuffer buffer

Constructor Detail

### EffectPipe

    public EffectPipe()

Method Detail

### init

    protected void init(EffectPipe.Handler top)

  Initialize the pipe before starting processing

### recycle

    public void recycle()

  Recycle the pipe after processing

### getLocation

    protected String getLocation()

  Returns:
    current location (if known)

### pushHandler

    protected void pushHandler(EffectPipe.Handler handler)

### popHandler

    protected void popHandler()

### beginBuffer

    protected void beginBuffer()

### endBuffer

    protected org.apache.cocoon.xml.SaxBuffer endBuffer()

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

### startDocument

    public void startDocument()
                       throws SAXException

  Throws:
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Throws:
    `SAXException`

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri)
                            throws SAXException

  Throws:
    `SAXException`

### endPrefixMapping

    public void endPrefixMapping(String prefix)
                          throws SAXException

  Throws:
    `SAXException`

### startElement

    public void startElement(String uri,
                             String loc,
                             String raw,
                             Attributes attrs)
                      throws SAXException

  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String loc,
                           String raw)
                    throws SAXException

  Throws:
    `SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int len)
                    throws SAXException

  Throws:
    `SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int len)
                             throws SAXException

  Throws:
    `SAXException`

### processingInstruction

    public void processingInstruction(String target,
                                      String data)
                               throws SAXException

  Throws:
    `SAXException`

### skippedEntity

    public void skippedEntity(String name)
                       throws SAXException

  Throws:
    `SAXException`

### startDTD

    public void startDTD(String name,
                         String publicId,
                         String systemId)
                  throws SAXException

  Throws:
    `SAXException`

### endDTD

    public void endDTD()
                throws SAXException

  Throws:
    `SAXException`

### startEntity

    public void startEntity(String name)
                     throws SAXException

  Throws:
    `SAXException`

### endEntity

    public void endEntity(String name)
                   throws SAXException

  Throws:
    `SAXException`

### startCDATA

    public void startCDATA()
                    throws SAXException

  Throws:
    `SAXException`

### endCDATA

    public void endCDATA()
                  throws SAXException

  Throws:
    `SAXException`

### comment

    public void comment(char[] ch,
                        int start,
                        int len)
                 throws SAXException

  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.